package bombmapper;

/**
 * @author Sebastian Gfeller, Andreas Jaggi
 * @created Jun 15, 2004
 * @version Block.java,v 1.4 2004/06/17 13:17:28 sgfeller Exp
 * @copyright Sebastian Gfeller, Andreas Jaggi 2004
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 */
public class Block implements Cloneable {
	private int type;
	//ceci n'est plus necessaire.
/**	private String fNomTerrain;
	private String fNomBonus; */
	
	/** Dans un block, on store les attributs comme
	 * type de Terrain et si on a un bonus dedans.
	 */
	public Block(int type) {
		super();
		this.type = type;
	}

	
	/**
	 * @return Retourne le type de ce block en format entier
	 */
	public int getType() {
		return type;
	}
	
	public void setType(int type) {
		this.type = type;
	}
	
	public Object clone() {
		Block ret = new Block(type);
		return ret;
	}
}
