package bombmapper;


/** Filtre pour les fichiers images. On n'a plus besoin de FileFiltre parce qu'on fait tous dans
 * le JAR
 * @author Sebastian Gfeller, Andreas Jaggi
 * @created Jun 17, 2004
 * @version FiltreFichiersImagesBlocs.java,v 1.2 2004/06/23 12:02:42 sgfeller Exp
 * @copyright Sebastian Gfeller, Andreas Jaggi 2004
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 */
public class FiltreFichiersImagesBlocs {
	
	/** Trop simple, seulement fait sur qu'l s'agit d'un fichier
	 * et que le nom de ce fichier finit avec "gif" ou "jpg".
	 * Avec les murs/mou, c'est un problme: Beaucoup des fichiers
	 * diffrents: On ne va pas accepter des fichiers qui
	 * finissent avec "1.gif" et "2.gif"
	 */
	public boolean accept(String f) {
		boolean ret = false;
		
		if((f.endsWith("gif") || f.endsWith("jpg"))) {
			ret = true;
		}
		return ret;
	}

}
