package bombmapper;

import javax.swing.ImageIcon;

/**
 * @author Sebastian Gfeller, Andreas Jaggi
 * @created Jun 23, 2004
 * @version ImageResource.java,v 1.1 2004/06/23 09:55:02 sgfeller Exp
 * @copyright Sebastian Gfeller, Andreas Jaggi 2004
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 */
public class ImageResource {
	private ImageIcon monImage;
	private String monChemin;

	ImageResource(String monChemin) {
		this.monChemin = monChemin;
		monImage = new ImageIcon(ResourceLoader.getResource(monChemin));
	}
	
	public ImageIcon getMonImage() {
		return monImage;
	}
	
	public String getMonChemin() {
		return monChemin;
	}
}
